Re: [openstack-dev] [all] Question about import module

2015-01-30 Thread Doug Hellmann
On Thu, Jan 29, 2015, at 09:10 PM, liuxinguo wrote: * I have seen that the module 'oslo.config' have changed to 'oslo_config' in Kilo but in Juno it is still 'oslo.config'. I want my code work compatibly both for Juno and Kilo so I import this module in this way: try: from

Re: [openstack-dev] [all] Question about import module

2015-01-29 Thread Ian Cordasco
The requirements files are being updated so this fallback is unnecessary. Newer versions of the library (which should be the new minimum version) will work with the first import without issue. The only reason you would do this is if you’re not following global-requirements.txt and have a very low

Re: [openstack-dev] [all] Question about import module

2015-01-29 Thread iKhan
Suppose that's the way to do it. On Fri, Jan 30, 2015, 7:44 AM liuxinguo liuxin...@huawei.com wrote: · I have seen that the module ‘oslo.config’ have changed to ‘oslo_config’ in Kilo but in Juno it is still ‘oslo.config’. I want my code work compatibly both for Juno and Kilo so I